## FlatpakTransactionProgress FlatpakTransactionProgress |

## Functions

gboolean | flatpak_transaction_progress_get_is_estimating ()
int | flatpak_transaction_progress_get_progress ()
char * | flatpak_transaction_progress_get_status ()
void | flatpak_transaction_progress_set_update_frequency ()

## Signals

void | changed | Run Last

## Types and Values

| FlatpakTransactionProgress

## Object Hierarchy

        GObject
        ╰── FlatpakTransactionProgress

## Description

## Functions

### flatpak_transaction_progress_get_is_estimating ()

    gboolean
    flatpak_transaction_progress_get_is_estimating
                                   (FlatpakTransactionProgress *self);

### flatpak_transaction_progress_get_progress ()

    int
    flatpak_transaction_progress_get_progress
                                   (FlatpakTransactionProgress *self);

### flatpak_transaction_progress_get_status ()

    char *
    flatpak_transaction_progress_get_status
                                   (FlatpakTransactionProgress *self);

### flatpak_transaction_progress_set_update_frequency ()

    void
    flatpak_transaction_progress_set_update_frequency
                                   (FlatpakTransactionProgress *self,
                                    guint update_frequency);

## Types and Values

### FlatpakTransactionProgress

    typedef struct _FlatpakTransactionProgress FlatpakTransactionProgress;

## Signal Details

### The `“changed”` signal

    void
    user_function (FlatpakTransactionProgress *object,
                   gpointer                    user_data)

Emitted when some detail of the progress object changes, you can call the various methods to get the current status.

#### Parameters

object | A FlatpakTransactionProgress |
user_data | user data set when the signal handler was connected. |

Flags: Run Last